NodeID     : 0
Node       : Scalar input (tokensIndex)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.scalarInput(IO.java:1106)
bwtt.bwttKernel.<init>(bwttKernel.maxj:19)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NODE WAS REMOVED!
NodeID     : 1
Node       : 1.0
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.Count.simpleCounter(Count.java:570)
bwtt.bwttKernel.<init>(bwttKernel.maxj:20)
bwtt.bwttManager.main(bwttManager.maxj:18)

Led to:
  NodeID     : 105
  Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 2
Node       : Counter(NUMERIC_INCREMENTING)\nInc: 1\nReset: 0\nInit: 0
Node type  : NodeCounterV1
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.Count.simpleCounter(Count.java:570)
bwtt.bwttKernel.<init>(bwttKernel.maxj:20)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NODE WAS REMOVED!
NodeID     : 3
Node       : 0.0
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.eq(DFEVar.java:589)
bwtt.bwttKernel.<init>(bwttKernel.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:18)

Led to:
  NodeID     : 104
  Node       : {HWOffsetFix:32, 0, UNSIGNED}\n0x00000000; 0.0
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 4
Node       : ==
Node type  : NodeEq
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.eq(DFEVar.java:589)
bwtt.bwttKernel.<init>(bwttKernel.maxj:22)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 5
Node       : Scalar input (io_si_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:24)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 6
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:24)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 7
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:24)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 8
Node       : Input(si)
Node type  : NodeInput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:24)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 9
Node       : Scalar input (io_so_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:25)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 10
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:25)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 11
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:25)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 12
Node       : Input(so)
Node type  : NodeInput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.input(IO.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:25)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 13
Node       : {HWOffsetFix:10, 0, UNSIGNED}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:39)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 14
Node       : {HWFloat:8, 24}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:40)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 15
Node       : {HWFloat:8, 24}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:41)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 16
Node       : {HWOffsetFix:10, 0, UNSIGNED}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:43)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 17
Node       : {HWFloat:8, 24}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:44)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 18
Node       : {HWFloat:8, 24}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:45)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 19
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.bwttKernel.<init>(bwttKernel.maxj:50)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 20
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.bwttKernel.<init>(bwttKernel.maxj:50)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 21
Node       : /
Node type  : NodeDiv
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.div(DFEVar.java:1006)
bwtt.bwttKernel.<init>(bwttKernel.maxj:50)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 22
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.bwttKernel.<init>(bwttKernel.maxj:51)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 23
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.bwttKernel.<init>(bwttKernel.maxj:51)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 24
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.bwttKernel.<init>(bwttKernel.maxj:52)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NODE WAS REMOVED!
NodeID     : 25
Node       : -
Node type  : NodeSub
Removed by : [DeleteRedundantNodes]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.bwttKernel.<init>(bwttKernel.maxj:52)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 26
Node       : /
Node type  : NodeDiv
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.div(DFEVar.java:1006)
bwtt.bwttKernel.<init>(bwttKernel.maxj:52)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 27
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.bwttKernel.<init>(bwttKernel.maxj:53)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 28
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.bwttKernel.<init>(bwttKernel.maxj:53)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 29
Node       : {HWOffsetFix:10, 0, UNSIGNED}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:61)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 30
Node       : {HWFloat:8, 24}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:62)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 31
Node       : {HWFloat:8, 24}
Node type  : NodeCast
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.cast(DFEVar.java:165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:63)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 32
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.bwttKernel.<init>(bwttKernel.maxj:66)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 33
Node       : +
Node type  : NodeAdd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.add(DFEVar.java:868)
bwtt.bwttKernel.<init>(bwttKernel.maxj:66)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 34
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.bwttKernel.<init>(bwttKernel.maxj:66)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 35
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.bwttKernel.<init>(bwttKernel.maxj:67)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 36
Node       : +
Node type  : NodeAdd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.add(DFEVar.java:868)
bwtt.bwttKernel.<init>(bwttKernel.maxj:67)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 37
Node       : -
Node type  : NodeSub
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.sub(DFEVar.java:914)
bwtt.bwttKernel.<init>(bwttKernel.maxj:67)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 38
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.bwttKernel.<init>(bwttKernel.maxj:69)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 39
Node       : *
Node type  : NodeMul
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.mul(DFEVar.java:960)
bwtt.bwttKernel.<init>(bwttKernel.maxj:69)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 40
Node       : +
Node type  : NodeAdd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.add(DFEVar.java:868)
bwtt.bwttKernel.<init>(bwttKernel.maxj:69)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NODE WAS REMOVED!
NodeID     : 41
Node       : 1.2
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.lt(DFEVar.java:827)
bwtt.bwttKernel.<init>(bwttKernel.maxj:70)
bwtt.bwttManager.main(bwttManager.maxj:18)

Led to:
  NodeID     : 103
  Node       : {HWFloat:8, 24}\n0x3f99999a; 1.2000000476837158
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 42
Node       : <
Node type  : NodeLt
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.lt(DFEVar.java:827)
bwtt.bwttKernel.<init>(bwttKernel.maxj:70)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 43
Node       : <
Node type  : NodeLt
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.lt(DFEVar.java:822)
bwtt.bwttKernel.<init>(bwttKernel.maxj:70)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 44
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.and(DFEVar.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:70)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 45
Node       : >
Node type  : NodeGt
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.gt(DFEVar.java:776)
bwtt.bwttKernel.<init>(bwttKernel.maxj:70)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 46
Node       : &
Node type  : NodeAnd
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.and(DFEVar.java:522)
bwtt.bwttKernel.<init>(bwttKernel.maxj:70)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 47
Node       : {HWOffsetFix:16, 0, UNSIGNED}\n0x0001; 1.0
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.Constant.var(Constant.java:99)
bwtt.bwttKernel.<init>(bwttKernel.maxj:75)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 48
Node       : {HWOffsetFix:16, 0, UNSIGNED}\n0x0000; 0.0
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.ternaryIf(DFEVar.java:1165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:75)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 49
Node       : MUX
Node type  : NodeMux
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.types.base.DFEVar.ternaryIf(DFEVar.java:1165)
bwtt.bwttKernel.<init>(bwttKernel.maxj:75)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NODE WAS REMOVED!
NodeID     : 50
Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
Node type  : NodeConstantRawBits
Removed by : [OptimiseNodesPass]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.bwttKernel.<init>(bwttKernel.maxj:78)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 51
Node       : Scalar input (io_output_force_disabled)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.bwttKernel.<init>(bwttKernel.maxj:78)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 52
Node       : ~
Node type  : NodeNot
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.bwttKernel.<init>(bwttKernel.maxj:78)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NODE WAS REMOVED!
NodeID     : 53
Node       : &
Node type  : NodeAnd
Removed by : [OptimiseNodesPass]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.bwttKernel.<init>(bwttKernel.maxj:78)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NodeID     : 54
Node       : Output(output)
Node type  : NodeOutput
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.kernelcompiler.stdlib.core.IO.output(IO.java:816)
bwtt.bwttKernel.<init>(bwttKernel.maxj:78)
bwtt.bwttManager.main(bwttManager.maxj:18)

------------
NODE WAS REMOVED!
NodeID     : 61
Node       : 1.0
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

Led to:
  NodeID     : 102
  Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 62
Node       : {HWOffsetFix:49, 0, UNSIGNED}\n0x1000000000000; 2.81474976710656E14
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 63
Node       : Counter(NUMERIC_INCREMENTING)\nInc: 1\nReset: 0\nInit: 0
Node type  : NodeCounterV1
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 64
Node       : stream offset: 1
Node type  : NodeStreamOffset
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 65
Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 66
Node       : Scalar output (current_run_cycle_count)
Node type  : NodeOutputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NODE WAS REMOVED!
NodeID     : 67
Node       : 1.0
Node type  : NodeConstantDouble
Removed by : [RemoveUntypedConstants]
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

Led to:
  NodeID     : 101
  Node       : {HWOffsetFix:1, 0, UNSIGNED}\n0x1; 1.0
  Node type  : NodeConstantRawBits
  Creator    : RemoveUntypedConstants

------------
NodeID     : 68
Node       : {HWOffsetFix:49, 0, UNSIGNED}\n0x1000000000000; 2.81474976710656E14
Node type  : NodeConstantRawBits
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 69
Node       : Counter(NUMERIC_INCREMENTING)\nInc: 1\nReset: 0\nInit: 0
Node type  : NodeCounterV1
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 70
Node       : flush on trigger
Node type  : NodeFlush
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 71
Node       : Scalar input (run_cycle_count)
Node type  : NodeInputMappedReg
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 72
Node       : ==
Node type  : NodeEq
Creator    : User
Stack Trace:
com.maxeler.maxcompiler.v2.managers.DFEManager.build(DFEManager.java:359)
bwtt.bwttManager.main(bwttManager.maxj:23)

------------
NodeID     : 73
Node       : FIFO(6)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NodeID     : 74
Node       : FIFO(6)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NodeID     : 75
Node       : FIFO(52)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NODE WAS REMOVED!
NodeID     : 76
Node       : FIFO(40)
Node type  : NodeFIFO
Removed by : [FIFOCoalesceRespectingPlacementPass]
Creator    : ScheduleApplier
Led to:
  NodeID     : 96
  Node       : FIFO(40)
  Node type  : NodeFIFO
  Creator    : FIFOCoalesceRespectingPlacementPass

------------
NODE WAS REMOVED!
NodeID     : 77
Node       : FIFO(48)
Node type  : NodeFIFO
Removed by : [FIFOCoalesceRespectingPlacementPass]
Creator    : ScheduleApplier
Led to:
  NodeID     : 90
  Node       : FIFO(48)
  Node type  : NodeFIFO
  Creator    : FIFOCoalesceRespectingPlacementPass

------------
NodeID     : 78
Node       : FIFO(12)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NODE WAS REMOVED!
NodeID     : 79
Node       : FIFO(78)
Node type  : NodeFIFO
Removed by : [TapFIFOsPass]
Creator    : ScheduleApplier
Led to:
  NodeID     : 88
  Node       : FIFO(26)
  Node type  : NodeFIFO
  Creator    : TapFIFOsPass

------------
NODE WAS REMOVED!
NodeID     : 80
Node       : FIFO(40)
Node type  : NodeFIFO
Removed by : [TapFIFOsPass]
Creator    : ScheduleApplier
------------
NODE WAS REMOVED!
NodeID     : 81
Node       : FIFO(48)
Node type  : NodeFIFO
Removed by : [FIFOCoalesceRespectingPlacementPass]
Creator    : ScheduleApplier
------------
NodeID     : 82
Node       : FIFO(12)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NODE WAS REMOVED!
NodeID     : 83
Node       : FIFO(78)
Node type  : NodeFIFO
Removed by : [TapFIFOsPass]
Creator    : ScheduleApplier
------------
NODE WAS REMOVED!
NodeID     : 84
Node       : FIFO(40)
Node type  : NodeFIFO
Removed by : [FIFOCoalesceRespectingPlacementPass]
Creator    : ScheduleApplier
------------
NodeID     : 85
Node       : FIFO(64)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NODE WAS REMOVED!
NodeID     : 86
Node       : FIFO(40)
Node type  : NodeFIFO
Removed by : [TapFIFOsPass]
Creator    : ScheduleApplier
------------
NodeID     : 87
Node       : FIFO(65)
Node type  : NodeFIFO
Creator    : ScheduleApplier
------------
NodeID     : 89
Node       : @
Node type  : NodeCat
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 91
Node       : [63:32]
Node type  : NodeSlice
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 92
Node       : <{HWFloat:8, 24}>
Node type  : NodeReinterpret
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 93
Node       : [31:0]
Node type  : NodeSlice
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 94
Node       : <{HWFloat:8, 24}>
Node type  : NodeReinterpret
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 95
Node       : @
Node type  : NodeCat
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 97
Node       : [63:32]
Node type  : NodeSlice
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 98
Node       : <{HWFloat:8, 24}>
Node type  : NodeReinterpret
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 99
Node       : [31:0]
Node type  : NodeSlice
Creator    : FIFOCoalesceRespectingPlacementPass
------------
NodeID     : 100
Node       : <{HWFloat:8, 24}>
Node type  : NodeReinterpret
Creator    : FIFOCoalesceRespectingPlacementPass
------------
